package com.gic.haoban.manage.web.qo.moment;

import com.gic.api.base.commons.BasePageInfo;

import java.util.Date;

public class PlanListQO extends BasePageInfo {

    /**
     * 活动名称或id
     */
    private String nameParams ;

    /**
     * 执行方式
     */
    private Integer execType ;

    /**
     *  1进行中 2终止  0未开始 3 已结束
     */
    private Integer statusFlag ;

    /**
     * 开始时间
     */
    private Date startTime ;

    /**
     * 结束时间
     */
    private Date endTime ;

    // 仅看自己 1是0否
    private int showSelfFlag ;

    /**
     * 排序字段 完成率:exec_rate 点赞：total_like_count 评论：total_comment_count
     */
    private String sortColumn ;

    /**
     * desc / asc
     */
    private String sortType ;


    public String getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getNameParams() {
        return nameParams;
    }

    public void setNameParams(String nameParams) {
        this.nameParams = nameParams;
    }

    public Integer getExecType() {
        return execType;
    }

    public void setExecType(Integer execType) {
        this.execType = execType;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getShowSelfFlag() {
        return showSelfFlag;
    }

    public void setShowSelfFlag(int showSelfFlag) {
        this.showSelfFlag = showSelfFlag;
    }
}
